import axios from '@/utils/request';

const URL = {
    target: "http://127.0.0.1:8000/",
    report: "report/",
    pivottable: "pivottable/payment/",
    menu: "pivottable/menu/",
    relation: {
        dapt: 'relation/dapt/',
        daptuser: 'relation/daptuser/'
    },
    detail: 'mptt/detail/',
    payStat: 'pivottable/paystat/',
    power: 'power/userroute/'
}

export default {
    payment: {
        list: (id = '') => {
            return axios({
                method: "get",
                url: URL.pivottable + id,
                params: {}
            });
        },
        save: data => {
            return axios({
                method: "post",
                url: URL.pivottable,
                data: data
            })
        },
        delete: id => {
            return axios({
                method: "delete",
                url: URL.pivottable + id + '/'
            })
        }

    },
    payStat: {
        get: (order_by = 0) => {
            return axios({
                method: "get",
                url: URL.payStat + order_by,
                params: { order_by: order_by }
            });
        },
    },
    menu: {
        list: (id = '') => {
            return axios({
                method: "get",
                url: URL.menu + id,
            });
        },
        save: data => {
            return axios({
                method: "post",
                url: URL.menu,
                data: data
            })
        },
        delete: (id) => {
            return axios({
                method: "delete",
                url: URL.menu + id + '/'
            })
        }
    },
    dailyMptt: {
        save: data => {
            return axios({
                method: "post",
                url: URL.detail,
                data: data
            });
        },
        get: (params = {}) => {
            return axios({
                method: "get",
                url: URL.detail,
                params: params
            });
        },
        delete: id => {
            return axios({
                method: "delete",
                url: URL.detail,
                data: { id: id }
            })
        },
    },
    user: {
        list: () => {
            return axios({
                method: "get",
                url: 'relation/user/',
                params: {}
            });
        }
    },
    power: {
        get: () => {
            return axios({
                method: "get",
                url: URL.power,
            });
        }
    }
}