/* Layout */
import Layout from '@/layout'

import PersonRouter from './person'

const constantRouter = PersonRouter.concat([
    {
        path: '/redirect',
        component: Layout,
        hidden: true,
        children: [
            {
                path: '/redirect/:path*',
                component: () => import('@/views/redirect/index')
            }
        ]
    },
    // {
    //     path: '/login',
    //     component: () => import('@/views/login/index'),
    //     hidden: true
    // },
    {
        path: '/',
        component: Layout,
        redirect: '/dashboard',
        children: [{
            path: 'dashboard',
            name: 'Dashboard',
            component: () => import('@/views/dashboard/index'),
            meta: { title: '首页', icon: 'home', affix: true }
        }]
    },

    {
        path: '/pivottable',
        component: Layout,
        redirect: '/pivottable',
        meta: { title: '支出报表', icon: 'home', affix: false },
        children: [{
            path: 'payment',
            name: 'payment',
            component: () => import('@/views/pivottable/payment'),
            meta: { title: '透视图', icon: 'home', affix: false }
        }, {
            path: 'c3',
            name: 'c3',
            component: () => import('@/views/pivottable/c3'),
            meta: { title: 'c3', icon: 'home', affix: false }
        }]
    },
    {
        path: '/detail',
        component: Layout,
        redirect: '/detail',
        meta: { title: '人员部门管理', icon: 'home', affix: false },
        children: [{
            path: 'payment',
            name: 'payment',
            component: () => import('@/views/detail/detail'),
            meta: { title: '人员部门管理', icon: 'home', affix: false }
        }]
    },
    {
        path: '/echarts',
        component: Layout,
        redirect: '/echarts',
        meta: { title: '图', icon: 'home', affix: false },
        children: [{
            path: 'map',
            name: 'map',
            component: () => import('@/views/echarts/Map'),
            meta: { title: '地图', icon: 'home', affix: false }
        }, {
            path: 'pie',
            name: 'pie',
            component: () => import('@/views/echarts/pie'),
            meta: { title: '饼图', icon: 'home', affix: false }
        }]
    },
    // {
    //     path: '/power',
    //     component: Layout,
    //     redirect: '/power',
    //     meta: { title: '权限路由', icon: 'home', affix: false },
    //     children: [{
    //         path: 'test1',
    //         name: 'test1',
    //         component: () => import('@/views/power/test1'),
    //         meta: { title: '第一个路由', icon: 'home', affix: false }
    //     }, {
    //         path: 'test2',
    //         name: 'test2',
    //         component: () => import('@/views/power/test2'),
    //         meta: { title: '第二个路由', icon: 'home', affix: false }
    //     }, {
    //         path: 'test3',
    //         name: 'test3',
    //         component: () => import('@/views/power/test3'),
    //         meta: { title: '第三个路由', icon: 'home', affix: false }
    //     }]
    // },
    {
        path: '/login',
        component: Layout,
        redirect: '/login',
        meta: { title: '登入', icon: 'home', affix: false },
        children: [{
            path: 'index',
            name: 'index',
            component: () => import('@/views/login/index'),
            meta: { title: '登入', icon: 'home', affix: false }
        }]
    },
    {
        path: '/404',
        component: () => import('@/views/404'),
        hidden: true
    },
    {
        path: '/500',
        component: () => import('@/views/500'),
        hidden: true
    },

])

export default constantRouter

